#!/bin/bash
#
# Unprovision a device as a Teleport Station device
#

echo "Teleport Station unprovision script"

# Be sure we're running as root
if [[ $EUID != 0 ]] ; then
   echo "Must be root."
   exit 1
fi

# Cleanup

# Ensure service is stopped
sudo systemctl stop tssvc 

# Disable
sudo systemctl disable tssvc 

# Remove and reload SystemD
sudo rm tssvc.service /lib/systemd/system/tssvc.service 
sudo systemctl daemon-reload 

# Verify SystemD is no longer aware of the service - Empty is what we want here
systemctl --type service |& grep tssvc 

echo "Service stopped, you can now delete the Teleport Station directory."